Bug 1031547 - afr: incorrect message shown on "gluster volume heal vol-name info"
afr: incorrect message shown on "gluster volume heal vol-name info"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate (Show other bugs)
2.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Anuradha
storage-qa-internal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 04:31 EST by Rahul Hinduja
Modified: 2016-09-19 22:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-31 06:40:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Hinduja 2013-11-18 04:31:26 EST
Description of problem:
=======================

Currently when self heal daemon is turned off the "gluster volume heal vol-name info" commands returns the following output.

[root@dj ~]# gluster volume heal vol-dr info 
Self-heal-daemon is disabled. Heal will not be triggered on volume vol-dr
[root@dj ~]# 

The message shown in the output is that the heal will not triggered whereas the command executed was to see the files that require to be healed not to trigger heal.

More appropriate message is required, something like:

Self-heal-daemon is disabled. set "self-heal-daemon" to "on" to see the heal information. 


Version-Release number of selected component (if applicable):
=============================================================

glusterfs-3.4.0.44rhs-1.el6rhs.x86_64


How reproducible:
=================
1/1


Steps to Reproduce:
1. Disable the self-heal-daemon on the volume using "gluster volume set vol-name self-heal-daemon off"
2. Use the volume heal information command "gluster volume heal vol-name info"


Actual results:
===============
[root@dj ~]# gluster volume heal vol-name info 
Self-heal-daemon is disabled. Heal will not be triggered on volume vol-dr
[root@dj ~]#

Expected results:
=================
[root@dj ~]# gluster volume heal vol-name info 
Self-heal-daemon is disabled. set "self-heal-daemon" to "on" to see the heal information.
[root@dj ~]#

Or something similar which is more clear with respect to the command executed

Note You need to log in before you can comment on or make changes to this bug.